Index: trunk/source/processes/hadronic/models/de_excitation/ablation/src/G4WilsonAblationModel.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/ablation/src/G4WilsonAblationModel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/ablation/src/G4WilsonAblationModel.cc	(revision 1228)
@@ -38,6 +38,6 @@
 // MODULE:              G4WilsonAblationModel.cc
 //
-// Version:		B.1
-// Date:		15/04/04
+// Version:		1.0
+// Date:		08/12/2009
 // Author:		P R Truscott
 // Organisation:	QinetiQ Ltd, UK
@@ -56,4 +56,22 @@
 // Beta release
 //
+// 08 December 2009, P R Truscott, QinetiQ Ltd, UK
+// Ver 1.0
+// Updated as a result of changes in the G4Evaporation classes.  These changes
+// affect mostly SelectSecondariesByEvaporation, and now you have variables
+// associated with the evaporation model which can be changed:
+//    OPTxs to select the inverse cross-section
+//    OPTxs = 0      => Dostrovski's parameterization
+//    OPTxs = 1 or 2 => Chatterjee's paramaterization
+//    OPTxs = 3 or 4 => Kalbach's parameterization
+//    useSICB        => use superimposed Coulomb Barrier for inverse cross
+//                      sections
+// Other problem found with G4Fragment definition using Lorentz vector and
+// **G4ParticleDefinition**.  This does not allow A and Z to be defined for the
+// fragment for some reason.  Now the fragment is defined more explicitly:
+//    G4Fragment *fragment = new G4Fragment(A, Z, lorentzVector);
+// to avoid this quirk.  Bug found in SelectSecondariesByDefault: *type is now
+// equated to evapType[i] whereas previously it was equated to fragType[i].
+// 
 // %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 ////////////////////////////////////////////////////////////////////////////////
@@ -123,9 +141,21 @@
 //
   verboseLevel = 0;
+  theChannelFactory = new G4EvaporationFactory();
+  theChannels = theChannelFactory->GetChannel();
+//
+//
+// Set defaults for evaporation classes.  These can be overridden by user
+// "set" methods.
+//
+  OPTxs   = 3;
+  useSICB = false;
 }
 ////////////////////////////////////////////////////////////////////////////////
 //
 G4WilsonAblationModel::~G4WilsonAblationModel()
-{;}
+{
+  if (theChannels != 0) theChannels = 0;
+  if (theChannelFactory != 0) delete theChannelFactory;
+}
 ////////////////////////////////////////////////////////////////////////////////
 //
@@ -207,6 +237,7 @@
   G4int DAabl = (G4int) (ex / B);
   if (DAabl > A) DAabl = A;
-  if (verboseLevel >= 2)
-    G4cout <<"Number of nucleons ejected = " <<DAabl <<G4endl;
+// The following lines are no longer accurate given we now treat the final fragment
+//  if (verboseLevel >= 2)
+//    G4cout <<"Number of nucleons ejected = " <<DAabl <<G4endl;
 
 //
@@ -219,5 +250,5 @@
   if (AF > 0)
   {
-    G4double AFd = static_cast<G4double>(AF);
+    G4double AFd = (G4double) AF;
     G4double R = 11.8 / std::pow(AFd, 0.45);
     G4int minZ = Z - DAabl;
@@ -253,8 +284,4 @@
   }
   G4int DZabl = Z - ZF;
-  if (verboseLevel >= 2)
-    G4cout <<"Final fragment      A=" <<AF
-           <<", Z=" <<ZF
-           <<G4endl;
 //
 //
@@ -285,20 +312,44 @@
       DAabl -= (G4int) (n * type->GetBaryonNumber() + 1.0E-10);
       DZabl -= (G4int) (n * type->GetPDGCharge() + 1.0E-10);
-      if (verboseLevel >= 2)
-        G4cout <<"Particle type: " <<std::setw(10) <<type->GetParticleName()
-               <<", number of particles emitted = " <<n
-               <<G4endl;
-    }
-  }
-//
-//
-// Determine the properties of the final nuclear fragment.
+    }
+  }
+//
+//
+// Determine the properties of the final nuclear fragment.  Note that if
+// the final fragment is predicted to have a nucleon number of zero, then
+// really it's the particle last in the vector evapType which becomes the
+// final fragment.  Therefore delete this from the vector if this is the
+// case.
 //
   G4double massFinalFrag = 0.0;
-  if (AF > 0.0)
+  if (AF > 0)
     massFinalFrag = G4ParticleTable::GetParticleTable()->GetIonTable()->
       GetIonMass(ZF,AF);
+  else
+  {
+    G4ParticleDefinition *type = evapType[evapType.size()-1];
+    AF                         = type->GetBaryonNumber();
+    ZF                         = (G4int) (type->GetPDGCharge() + 1.0E-10);
+    evapType.erase(evapType.end()-1);
+  }
   totalEpost   += massFinalFrag;
 //
+//
+// Provide verbose output on the nuclear fragment if requested.
+//
+  if (verboseLevel >= 2)
+  {
+    G4cout <<"Final fragment      A=" <<AF
+           <<", Z=" <<ZF
+           <<G4endl;
+    for (G4int ift=0; ift<nFragTypes; ift++)
+    {
+      G4ParticleDefinition *type = fragType[ift];
+      G4int n                    = std::count(evapType.begin(),evapType.end(),type);
+      if (n > 0) 
+        G4cout <<"Particle type: " <<std::setw(10) <<type->GetParticleName()
+               <<", number of particles emitted = " <<n <<G4endl;
+    }
+  }
 //
 // Add the total energy from the fragment.  Note that the fragment is assumed
@@ -326,4 +377,5 @@
       SelectSecondariesByDefault(G4ThreeVector(0.0,0.0,0.0));
   }
+
   if (AF > 0)
   {
@@ -352,9 +404,9 @@
     G4int ie = 0;
     G4FragmentVector::iterator iter;
-    for (iter = fragmentVector->begin(); iter != fragmentVector->end(); ++iter)
+    for (iter = fragmentVector->begin(); iter != fragmentVector->end(); iter++)
     {
       if (ie == nEvap)
       {
-        G4cout <<*iter  <<G4endl;
+//        G4cout <<*iter  <<G4endl;
         G4cout <<"---------------------------------" <<G4endl;
         G4cout <<"Particles from default emission :" <<G4endl;
@@ -375,4 +427,5 @@
   (G4Fragment *intermediateNucleus)
 {
+  G4Fragment theResidualNucleus = *intermediateNucleus;
   G4bool evaporate = true;
   while (evaporate && evapType.size() != 0)
@@ -386,4 +439,5 @@
     std::vector <G4VEvaporationChannel*>  theChannels;
     theChannels.clear();
+    std::vector <G4VEvaporationChannel*>::iterator i;
     VectorOfFragmentTypes::iterator iter;
     std::vector <VectorOfFragmentTypes::iterator> iters;
@@ -393,4 +447,8 @@
     {
       theChannels.push_back(new G4AlphaEvaporationChannel);
+      i = theChannels.end() - 1;
+      (*i)->SetOPTxs(OPTxs);
+      (*i)->UseSICB(useSICB);
+//      (*i)->Initialize(theResidualNucleus);
       iters.push_back(iter);
     }
@@ -399,4 +457,8 @@
     {
       theChannels.push_back(new G4He3EvaporationChannel);
+      i = theChannels.end() - 1;
+      (*i)->SetOPTxs(OPTxs);
+      (*i)->UseSICB(useSICB);
+//      (*i)->Initialize(theResidualNucleus);
       iters.push_back(iter);
     }
@@ -405,4 +467,8 @@
     {
       theChannels.push_back(new G4TritonEvaporationChannel);
+      i = theChannels.end() - 1;
+      (*i)->SetOPTxs(OPTxs);
+      (*i)->UseSICB(useSICB);
+//      (*i)->Initialize(theResidualNucleus);
       iters.push_back(iter);
     }
@@ -411,4 +477,8 @@
     {
       theChannels.push_back(new G4DeuteronEvaporationChannel);
+      i = theChannels.end() - 1;
+      (*i)->SetOPTxs(OPTxs);
+      (*i)->UseSICB(useSICB);
+//      (*i)->Initialize(theResidualNucleus);
       iters.push_back(iter);
     }
@@ -417,4 +487,8 @@
     {
       theChannels.push_back(new G4ProtonEvaporationChannel);
+      i = theChannels.end() - 1;
+      (*i)->SetOPTxs(OPTxs);
+      (*i)->UseSICB(useSICB);
+//      (*i)->Initialize(theResidualNucleus);
       iters.push_back(iter);
     }
@@ -423,4 +497,8 @@
     {
       theChannels.push_back(new G4NeutronEvaporationChannel);
+      i = theChannels.end() - 1;
+      (*i)->SetOPTxs(OPTxs);
+      (*i)->UseSICB(useSICB);
+//      (*i)->Initialize(theResidualNucleus);
       iters.push_back(iter);
     }
@@ -479,5 +557,5 @@
   for (unsigned i=0; i<evapType.size(); i++)
   {
-    G4ParticleDefinition *type = fragType[i];
+    G4ParticleDefinition *type = evapType[i];
     G4double mass              = type->GetPDGMass();
     G4double e                 = mass + 10.0*eV;
@@ -489,6 +567,13 @@
     G4LorentzVector lorentzVector = G4LorentzVector(direction*p, e);
     lorentzVector.boost(-boost);
+// Possibility that the following line is not correctly carrying over A and Z
+// from particle definition.  Force values.  PRT 03/12/2009.
+//    G4Fragment *fragment          = 
+//      new G4Fragment(lorentzVector, type);
+    G4int A = type->GetBaryonNumber();
+    G4int Z = (G4int) (type->GetPDGCharge() + 1.0E-10);
     G4Fragment *fragment          = 
-      new G4Fragment(lorentzVector, type);
+      new G4Fragment(A, Z, lorentzVector);
+
     fragmentVector->push_back(fragment);
   }
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4AlphaEvaporationChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4AlphaEvaporationChannel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4AlphaEvaporationChannel.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AlphaEvaporationChannel.hh,v 1.8 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4DeuteronEvaporationChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4DeuteronEvaporationChannel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4DeuteronEvaporationChannel.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DeuteronEvaporationChannel.hh,v 1.8 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4Evaporation.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4Evaporation.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4Evaporation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Evaporation.hh,v 1.7 2009/07/27 10:32:05 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4EvaporationDefaultGEMFactory.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4EvaporationDefaultGEMFactory.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4EvaporationDefaultGEMFactory.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EvaporationDefaultGEMFactory.hh,v 1.1 2009/07/27 10:20:13 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4EvaporationFactory.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4EvaporationFactory.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4EvaporationFactory.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EvaporationFactory.hh,v 1.3 2006/06/29 20:09:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4He3EvaporationChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4He3EvaporationChannel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4He3EvaporationChannel.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4He3EvaporationChannel.hh,v 1.8 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4NeutronEvaporationChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4NeutronEvaporationChannel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4NeutronEvaporationChannel.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronEvaporationChannel.hh,v 1.8 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4ProtonEvaporationChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4ProtonEvaporationChannel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4ProtonEvaporationChannel.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProtonEvaporationChannel.hh,v 1.8 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4TritonEvaporationChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4TritonEvaporationChannel.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4TritonEvaporationChannel.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TritonEvaporationChannel.hh,v 1.8 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4VEvaporation.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4VEvaporation.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/include/G4VEvaporation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VEvaporation.hh,v 1.4 2008/09/19 13:32:54 ahoward Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4AlphaEvaporationChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4AlphaEvaporationChannel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4AlphaEvaporationChannel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4AlphaEvaporationChannel.cc,v 1.4 2006/06/29 20:10:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4DeuteronEvaporationChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4DeuteronEvaporationChannel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4DeuteronEvaporationChannel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DeuteronEvaporationChannel.cc,v 1.4 2006/06/29 20:10:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4Evaporation.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4Evaporation.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4Evaporation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Evaporation.cc,v 1.15 2009/09/16 15:32:25 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4EvaporationDefaultGEMFactory.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4EvaporationDefaultGEMFactory.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4EvaporationDefaultGEMFactory.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EvaporationDefaultGEMFactory.cc,v 1.1 2009/07/27 10:20:13 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4EvaporationFactory.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4EvaporationFactory.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4EvaporationFactory.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4EvaporationFactory.cc,v 1.4 2006/06/29 20:10:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4He3EvaporationChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4He3EvaporationChannel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4He3EvaporationChannel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4He3EvaporationChannel.cc,v 1.4 2006/06/29 20:10:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4NeutronEvaporationChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4NeutronEvaporationChannel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4NeutronEvaporationChannel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4NeutronEvaporationChannel.cc,v 1.4 2006/06/29 20:10:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4ProtonEvaporationChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4ProtonEvaporationChannel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4ProtonEvaporationChannel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4ProtonEvaporationChannel.cc,v 1.4 2006/06/29 20:10:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4TritonEvaporationChannel.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4TritonEvaporationChannel.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4TritonEvaporationChannel.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4TritonEvaporationChannel.cc,v 1.4 2006/06/29 20:10:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4VEvaporation.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4VEvaporation.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/evaporation/src/G4VEvaporation.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VEvaporation.cc,v 1.5 2006/06/29 20:10:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4B9FermiFragment.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4B9FermiFragment.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4B9FermiFragment.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4B9FermiFragment.hh,v 1.3 2006/06/29 20:10:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4Be8FermiFragment.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4Be8FermiFragment.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4Be8FermiFragment.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Be8FermiFragment.hh,v 1.3 2006/06/29 20:10:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4FermiBreakUp.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4FermiBreakUp.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4FermiBreakUp.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FermiBreakUp.hh,v 1.3 2006/06/29 20:11:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4FermiConfiguration.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4FermiConfiguration.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4FermiConfiguration.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FermiConfiguration.hh,v 1.4 2006/06/29 20:11:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4FermiConfigurationList.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4FermiConfigurationList.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4FermiConfigurationList.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FermiConfigurationList.hh,v 1.5 2006/06/29 20:12:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4He5FermiFragment.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4He5FermiFragment.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4He5FermiFragment.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4He5FermiFragment.hh,v 1.3 2006/06/29 20:12:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4Li5FermiFragment.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4Li5FermiFragment.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4Li5FermiFragment.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Li5FermiFragment.hh,v 1.3 2006/06/29 20:12:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4StableFermiFragment.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4StableFermiFragment.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4StableFermiFragment.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4StableFermiFragment.hh,v 1.3 2006/06/29 20:12:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4UnstableFermiFragment.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4UnstableFermiFragment.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4UnstableFermiFragment.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4UnstableFermiFragment.hh,v 1.3 2006/06/29 20:12:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4VFermiBreakUp.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4VFermiBreakUp.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4VFermiBreakUp.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VFermiBreakUp.hh,v 1.3 2006/06/29 20:12:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4VFermiFragment.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4VFermiFragment.hh	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/include/G4VFermiFragment.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4VFermiFragment.hh,v 1.3 2006/06/29 20:12:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4B9FermiFragment.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4B9FermiFragment.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4B9FermiFragment.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4B9FermiFragment.cc,v 1.7 2006/06/29 20:12:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4Be8FermiFragment.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4Be8FermiFragment.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4Be8FermiFragment.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Be8FermiFragment.cc,v 1.7 2006/06/29 20:12:46 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4FermiConfiguration.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4FermiConfiguration.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4FermiConfiguration.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4FermiConfiguration.cc,v 1.10 2009/11/19 10:41:59 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: G4FermiConfiguration.cc,v 1.12 2009/12/16 17:51:09 gunter Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
@@ -143,5 +143,5 @@
 	arg2-=2;
       }
-    Gamma=Gamma/std::pow(2,n)*sqrt(pi);
+    Gamma=Gamma/std::pow(2.,n)*std::sqrt(pi);
   }
   // end of new implementation of Gamma function
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4He5FermiFragment.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4He5FermiFragment.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4He5FermiFragment.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4He5FermiFragment.cc,v 1.7 2006/06/29 20:13:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4Li5FermiFragment.cc
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4Li5FermiFragment.cc	(revision 1227)
+++ trunk/source/processes/hadronic/models/de_excitation/fermi_breakup/src/G4Li5FermiFragment.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4Li5FermiFragment.cc,v 1.7 2006/06/29 20:13:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // Hadronic Process: Nuclear De-excitations
